changing php version

Dan Carmeli
Joined: 03 Feb 2009

changing php version

Posted:12 Mar 2009 (18:56 UTC)
Hi,

My host provider has a php optimizing package that works in php 4.x. I had been using php 5. When I changed it to php 4 (i believe it was 4.4.9 or whatever version was updated as of dec '08), I got various errors regarding unknown functions. I saw in the bitweaver requirements/recommendations that php 4.1 and higher is fine. Did I do something wrong? Should I be able to change to php4? Do I have to change some internal settings?

Thanks,
Dan
Lester Caine
Joined: 24 Apr 2004

Re: changing php version

Posted:16 Mar 2009 (23:10 UTC)
PHP4 was end of lifed some time ago, and so hsting companies need to be pushed to switch to the currently supported version.
You do not say what errors arise, and these may be for PEAR packages that are installed separately? Running the installer should tell you what has not been installed and what is needed.
We will assume that since your host is backwards on versions of PHP, they are running MySQL? It MAY be necessary to change the setings for that as I believe that mysqli driver is PHP5 only and you need the older driver for PHP4.